]> code.delx.au - gnu-emacs/blob - m4/gnulib-comp.m4
Merge from emacs-24; up to 2012-12-22T19:09:52Z!rgm@gnu.org
[gnu-emacs] / m4 / gnulib-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2013 Free Software Foundation, Inc.
3 #
4 # This file is free software; you can redistribute it and/or modify
5 # it under the terms of the GNU General Public License as published by
6 # the Free Software Foundation; either version 3 of the License, or
7 # (at your option) any later version.
8 #
9 # This file is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY; without even the implied warranty of
11 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12 # GNU General Public License for more details.
13 #
14 # You should have received a copy of the GNU General Public License
15 # along with this file. If not, see <http://www.gnu.org/licenses/>.
16 #
17 # As a special exception to the GNU General Public License,
18 # this file may be distributed as part of a program that
19 # contains a configuration script generated by Autoconf, under
20 # the same distribution terms as the rest of that program.
21 #
22 # Generated by gnulib-tool.
23 #
24 # This file represents the compiled summary of the specification in
25 # gnulib-cache.m4. It lists the computed macro invocations that need
26 # to be invoked from configure.ac.
27 # In projects that use version control, this file can be treated like
28 # other built files.
29
30
31 # This macro should be invoked from ./configure.ac, in the section
32 # "Checks for programs", right after AC_PROG_CC, and certainly before
33 # any checks for libraries, header files, types and library functions.
34 AC_DEFUN([gl_EARLY],
35 [
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
40 AC_REQUIRE([gl_PROG_AR_RANLIB])
41 # Code from module alloca-opt:
42 # Code from module allocator:
43 # Code from module at-internal:
44 # Code from module c-ctype:
45 # Code from module c-strcase:
46 # Code from module careadlinkat:
47 # Code from module clock-time:
48 # Code from module close-stream:
49 # Code from module crypto/md5:
50 # Code from module crypto/sha1:
51 # Code from module crypto/sha256:
52 # Code from module crypto/sha512:
53 # Code from module dirent:
54 # Code from module dosname:
55 # Code from module dtoastr:
56 # Code from module dtotimespec:
57 # Code from module dup2:
58 # Code from module environ:
59 # Code from module euidaccess:
60 # Code from module execinfo:
61 # Code from module extensions:
62 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
63 # Code from module extern-inline:
64 # Code from module faccessat:
65 # Code from module fcntl-h:
66 # Code from module fdopendir:
67 # Code from module filemode:
68 # Code from module fpending:
69 # Code from module fstatat:
70 # Code from module getgroups:
71 # Code from module getloadavg:
72 # Code from module getopt-gnu:
73 # Code from module getopt-posix:
74 # Code from module gettext-h:
75 # Code from module gettime:
76 # Code from module gettimeofday:
77 # Code from module group-member:
78 # Code from module ignore-value:
79 # Code from module include_next:
80 # Code from module intprops:
81 # Code from module inttypes-incomplete:
82 # Code from module largefile:
83 AC_REQUIRE([AC_SYS_LARGEFILE])
84 # Code from module lstat:
85 # Code from module manywarnings:
86 # Code from module memrchr:
87 # Code from module mktime:
88 # Code from module multiarch:
89 # Code from module nocrash:
90 # Code from module openat-h:
91 # Code from module pathmax:
92 # Code from module pselect:
93 # Code from module pthread_sigmask:
94 # Code from module putenv:
95 # Code from module readlink:
96 # Code from module readlinkat:
97 # Code from module root-uid:
98 # Code from module sig2str:
99 # Code from module signal-h:
100 # Code from module snippet/_Noreturn:
101 # Code from module snippet/arg-nonnull:
102 # Code from module snippet/c++defs:
103 # Code from module snippet/warn-on-use:
104 # Code from module socklen:
105 # Code from module ssize_t:
106 # Code from module stat:
107 # Code from module stat-time:
108 # Code from module stdalign:
109 # Code from module stdarg:
110 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
111 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
112 dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
113 dnl shouldn't hurt, though installers are on their own to set c99 mode.
114 gl_PROG_CC_C99
115 # Code from module stdbool:
116 # Code from module stddef:
117 # Code from module stdint:
118 # Code from module stdio:
119 # Code from module stdlib:
120 # Code from module strftime:
121 # Code from module string:
122 # Code from module strtoimax:
123 # Code from module strtoll:
124 # Code from module strtoull:
125 # Code from module strtoumax:
126 # Code from module symlink:
127 # Code from module sys_select:
128 # Code from module sys_stat:
129 # Code from module sys_time:
130 # Code from module time:
131 # Code from module time_r:
132 # Code from module timer-time:
133 # Code from module timespec:
134 # Code from module timespec-add:
135 # Code from module timespec-sub:
136 # Code from module u64:
137 # Code from module unistd:
138 # Code from module unsetenv:
139 # Code from module utimens:
140 # Code from module verify:
141 # Code from module warnings:
142 # Code from module xalloc-oversized:
143 ])
144
145 # This macro should be invoked from ./configure.ac, in the section
146 # "Check for header files, types and library functions".
147 AC_DEFUN([gl_INIT],
148 [
149 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
150 gl_cond_libtool=false
151 gl_libdeps=
152 gl_ltlibdeps=
153 gl_m4_base='m4'
154 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
155 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
156 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
157 m4_pushdef([gl_LIBSOURCES_LIST], [])
158 m4_pushdef([gl_LIBSOURCES_DIR], [])
159 gl_COMMON
160 gl_source_base='lib'
161 gl_FUNC_ALLOCA
162 AC_CHECK_FUNCS_ONCE([readlinkat])
163 gl_CLOCK_TIME
164 gl_CLOSE_STREAM
165 gl_MODULE_INDICATOR([close-stream])
166 gl_MD5
167 gl_SHA1
168 gl_SHA256
169 gl_SHA512
170 gl_DIRENT_H
171 AC_REQUIRE([gl_C99_STRTOLD])
172 gl_FUNC_DUP2
173 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
174 AC_LIBOBJ([dup2])
175 gl_PREREQ_DUP2
176 fi
177 gl_UNISTD_MODULE_INDICATOR([dup2])
178 gl_ENVIRON
179 gl_UNISTD_MODULE_INDICATOR([environ])
180 gl_EXECINFO_H
181 AC_REQUIRE([gl_EXTERN_INLINE])
182 gl_FUNC_FACCESSAT
183 if test $HAVE_FACCESSAT = 0; then
184 AC_LIBOBJ([faccessat])
185 gl_PREREQ_FACCESSAT
186 fi
187 gl_MODULE_INDICATOR([faccessat])
188 gl_UNISTD_MODULE_INDICATOR([faccessat])
189 gl_FCNTL_H
190 gl_FUNC_FDOPENDIR
191 if test $HAVE_FDOPENDIR = 0 || test $REPLACE_FDOPENDIR = 1; then
192 AC_LIBOBJ([fdopendir])
193 fi
194 gl_DIRENT_MODULE_INDICATOR([fdopendir])
195 gl_MODULE_INDICATOR([fdopendir])
196 gl_FILEMODE
197 gl_FUNC_FPENDING
198 if test $ac_cv_func___fpending = no; then
199 AC_LIBOBJ([fpending])
200 gl_PREREQ_FPENDING
201 fi
202 gl_FUNC_FSTATAT
203 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
204 AC_LIBOBJ([fstatat])
205 fi
206 gl_SYS_STAT_MODULE_INDICATOR([fstatat])
207 gl_GETLOADAVG
208 if test $HAVE_GETLOADAVG = 0; then
209 AC_LIBOBJ([getloadavg])
210 gl_PREREQ_GETLOADAVG
211 fi
212 gl_STDLIB_MODULE_INDICATOR([getloadavg])
213 gl_FUNC_GETOPT_GNU
214 if test $REPLACE_GETOPT = 1; then
215 AC_LIBOBJ([getopt])
216 AC_LIBOBJ([getopt1])
217 gl_PREREQ_GETOPT
218 dnl Arrange for unistd.h to include getopt.h.
219 GNULIB_GL_UNISTD_H_GETOPT=1
220 fi
221 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
222 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
223 gl_FUNC_GETOPT_POSIX
224 if test $REPLACE_GETOPT = 1; then
225 AC_LIBOBJ([getopt])
226 AC_LIBOBJ([getopt1])
227 gl_PREREQ_GETOPT
228 dnl Arrange for unistd.h to include getopt.h.
229 GNULIB_GL_UNISTD_H_GETOPT=1
230 fi
231 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
232 gl_GETTIME
233 gl_FUNC_GETTIMEOFDAY
234 if test $HAVE_GETTIMEOFDAY = 0 || test $REPLACE_GETTIMEOFDAY = 1; then
235 AC_LIBOBJ([gettimeofday])
236 gl_PREREQ_GETTIMEOFDAY
237 fi
238 gl_SYS_TIME_MODULE_INDICATOR([gettimeofday])
239 gl_INTTYPES_INCOMPLETE
240 AC_REQUIRE([gl_LARGEFILE])
241 gl_FUNC_LSTAT
242 if test $REPLACE_LSTAT = 1; then
243 AC_LIBOBJ([lstat])
244 gl_PREREQ_LSTAT
245 fi
246 gl_SYS_STAT_MODULE_INDICATOR([lstat])
247 gl_FUNC_MEMRCHR
248 if test $ac_cv_func_memrchr = no; then
249 AC_LIBOBJ([memrchr])
250 gl_PREREQ_MEMRCHR
251 fi
252 gl_STRING_MODULE_INDICATOR([memrchr])
253 gl_FUNC_MKTIME
254 if test $REPLACE_MKTIME = 1; then
255 AC_LIBOBJ([mktime])
256 gl_PREREQ_MKTIME
257 fi
258 gl_TIME_MODULE_INDICATOR([mktime])
259 gl_MULTIARCH
260 gl_FUNC_PSELECT
261 if test $HAVE_PSELECT = 0 || test $REPLACE_PSELECT = 1; then
262 AC_LIBOBJ([pselect])
263 fi
264 gl_SYS_SELECT_MODULE_INDICATOR([pselect])
265 gl_FUNC_PTHREAD_SIGMASK
266 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
267 AC_LIBOBJ([pthread_sigmask])
268 gl_PREREQ_PTHREAD_SIGMASK
269 fi
270 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
271 gl_FUNC_PUTENV
272 if test $REPLACE_PUTENV = 1; then
273 AC_LIBOBJ([putenv])
274 fi
275 gl_STDLIB_MODULE_INDICATOR([putenv])
276 gl_FUNC_READLINK
277 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
278 AC_LIBOBJ([readlink])
279 gl_PREREQ_READLINK
280 fi
281 gl_UNISTD_MODULE_INDICATOR([readlink])
282 gl_FUNC_READLINKAT
283 if test $HAVE_READLINKAT = 0; then
284 AC_LIBOBJ([readlinkat])
285 fi
286 gl_UNISTD_MODULE_INDICATOR([readlinkat])
287 gl_FUNC_SIG2STR
288 if test $ac_cv_func_sig2str = no; then
289 AC_LIBOBJ([sig2str])
290 gl_PREREQ_SIG2STR
291 fi
292 gl_SIGNAL_H
293 gl_TYPE_SOCKLEN_T
294 gt_TYPE_SSIZE_T
295 gl_STAT_TIME
296 gl_STAT_BIRTHTIME
297 gl_STDALIGN_H
298 gl_STDARG_H
299 AM_STDBOOL_H
300 gl_STDDEF_H
301 gl_STDINT_H
302 gl_STDIO_H
303 gl_STDLIB_H
304 gl_FUNC_GNU_STRFTIME
305 gl_HEADER_STRING_H
306 gl_FUNC_STRTOIMAX
307 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
308 AC_LIBOBJ([strtoimax])
309 gl_PREREQ_STRTOIMAX
310 fi
311 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
312 gl_FUNC_STRTOUMAX
313 if test $ac_cv_func_strtoumax = no; then
314 AC_LIBOBJ([strtoumax])
315 gl_PREREQ_STRTOUMAX
316 fi
317 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
318 gl_FUNC_SYMLINK
319 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
320 AC_LIBOBJ([symlink])
321 fi
322 gl_UNISTD_MODULE_INDICATOR([symlink])
323 gl_HEADER_SYS_SELECT
324 AC_PROG_MKDIR_P
325 gl_HEADER_SYS_STAT_H
326 AC_PROG_MKDIR_P
327 gl_HEADER_SYS_TIME_H
328 AC_PROG_MKDIR_P
329 gl_HEADER_TIME_H
330 gl_TIME_R
331 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
332 AC_LIBOBJ([time_r])
333 gl_PREREQ_TIME_R
334 fi
335 gl_TIME_MODULE_INDICATOR([time_r])
336 gl_TIMER_TIME
337 gl_TIMESPEC
338 gl_UNISTD_H
339 gl_FUNC_UNSETENV
340 if test $HAVE_UNSETENV = 0 || test $REPLACE_UNSETENV = 1; then
341 AC_LIBOBJ([unsetenv])
342 gl_PREREQ_UNSETENV
343 fi
344 gl_STDLIB_MODULE_INDICATOR([unsetenv])
345 gl_UTIMENS
346 gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b=false
347 gl_gnulib_enabled_dosname=false
348 gl_gnulib_enabled_euidaccess=false
349 gl_gnulib_enabled_getgroups=false
350 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
351 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=false
352 gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7=false
353 gl_gnulib_enabled_pathmax=false
354 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=false
355 gl_gnulib_enabled_stat=false
356 gl_gnulib_enabled_strtoll=false
357 gl_gnulib_enabled_strtoull=false
358 gl_gnulib_enabled_verify=false
359 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=false
360 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b ()
361 {
362 if ! $gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b; then
363 AC_LIBOBJ([openat-proc])
364 gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b=true
365 fi
366 }
367 func_gl_gnulib_m4code_dosname ()
368 {
369 if ! $gl_gnulib_enabled_dosname; then
370 gl_gnulib_enabled_dosname=true
371 fi
372 }
373 func_gl_gnulib_m4code_euidaccess ()
374 {
375 if ! $gl_gnulib_enabled_euidaccess; then
376 gl_FUNC_EUIDACCESS
377 if test $HAVE_EUIDACCESS = 0; then
378 AC_LIBOBJ([euidaccess])
379 gl_PREREQ_EUIDACCESS
380 fi
381 gl_UNISTD_MODULE_INDICATOR([euidaccess])
382 gl_gnulib_enabled_euidaccess=true
383 if test $HAVE_EUIDACCESS = 0; then
384 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1
385 fi
386 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c
387 if test $HAVE_EUIDACCESS = 0; then
388 func_gl_gnulib_m4code_stat
389 fi
390 fi
391 }
392 func_gl_gnulib_m4code_getgroups ()
393 {
394 if ! $gl_gnulib_enabled_getgroups; then
395 gl_FUNC_GETGROUPS
396 if test $HAVE_GETGROUPS = 0 || test $REPLACE_GETGROUPS = 1; then
397 AC_LIBOBJ([getgroups])
398 fi
399 gl_UNISTD_MODULE_INDICATOR([getgroups])
400 gl_gnulib_enabled_getgroups=true
401 fi
402 }
403 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
404 {
405 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
406 AC_SUBST([LIBINTL])
407 AC_SUBST([LTLIBINTL])
408 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
409 fi
410 }
411 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1 ()
412 {
413 if ! $gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1; then
414 gl_FUNC_GROUP_MEMBER
415 if test $HAVE_GROUP_MEMBER = 0; then
416 AC_LIBOBJ([group-member])
417 gl_PREREQ_GROUP_MEMBER
418 fi
419 gl_UNISTD_MODULE_INDICATOR([group-member])
420 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=true
421 if test $HAVE_GROUP_MEMBER = 0; then
422 func_gl_gnulib_m4code_getgroups
423 fi
424 if test $HAVE_GROUP_MEMBER = 0; then
425 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec
426 fi
427 fi
428 }
429 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7 ()
430 {
431 if ! $gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7; then
432 gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7=true
433 fi
434 }
435 func_gl_gnulib_m4code_pathmax ()
436 {
437 if ! $gl_gnulib_enabled_pathmax; then
438 gl_PATHMAX
439 gl_gnulib_enabled_pathmax=true
440 fi
441 }
442 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c ()
443 {
444 if ! $gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c; then
445 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=true
446 fi
447 }
448 func_gl_gnulib_m4code_stat ()
449 {
450 if ! $gl_gnulib_enabled_stat; then
451 gl_FUNC_STAT
452 if test $REPLACE_STAT = 1; then
453 AC_LIBOBJ([stat])
454 gl_PREREQ_STAT
455 fi
456 gl_SYS_STAT_MODULE_INDICATOR([stat])
457 gl_gnulib_enabled_stat=true
458 if test $REPLACE_STAT = 1; then
459 func_gl_gnulib_m4code_dosname
460 fi
461 if test $REPLACE_STAT = 1; then
462 func_gl_gnulib_m4code_pathmax
463 fi
464 if test $REPLACE_STAT = 1; then
465 func_gl_gnulib_m4code_verify
466 fi
467 fi
468 }
469 func_gl_gnulib_m4code_strtoll ()
470 {
471 if ! $gl_gnulib_enabled_strtoll; then
472 gl_FUNC_STRTOLL
473 if test $HAVE_STRTOLL = 0; then
474 AC_LIBOBJ([strtoll])
475 gl_PREREQ_STRTOLL
476 fi
477 gl_STDLIB_MODULE_INDICATOR([strtoll])
478 gl_gnulib_enabled_strtoll=true
479 fi
480 }
481 func_gl_gnulib_m4code_strtoull ()
482 {
483 if ! $gl_gnulib_enabled_strtoull; then
484 gl_FUNC_STRTOULL
485 if test $HAVE_STRTOULL = 0; then
486 AC_LIBOBJ([strtoull])
487 gl_PREREQ_STRTOULL
488 fi
489 gl_STDLIB_MODULE_INDICATOR([strtoull])
490 gl_gnulib_enabled_strtoull=true
491 fi
492 }
493 func_gl_gnulib_m4code_verify ()
494 {
495 if ! $gl_gnulib_enabled_verify; then
496 gl_gnulib_enabled_verify=true
497 fi
498 }
499 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec ()
500 {
501 if ! $gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec; then
502 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=true
503 fi
504 }
505 if test $HAVE_FACCESSAT = 0; then
506 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
507 fi
508 if test $HAVE_FACCESSAT = 0; then
509 func_gl_gnulib_m4code_dosname
510 fi
511 if test $HAVE_FACCESSAT = 0; then
512 func_gl_gnulib_m4code_euidaccess
513 fi
514 if test $HAVE_FACCESSAT = 0; then
515 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
516 fi
517 if test $HAVE_FDOPENDIR = 0; then
518 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
519 fi
520 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
521 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
522 fi
523 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
524 func_gl_gnulib_m4code_dosname
525 fi
526 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
527 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
528 fi
529 if test $REPLACE_GETOPT = 1; then
530 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
531 fi
532 if test $REPLACE_LSTAT = 1; then
533 func_gl_gnulib_m4code_dosname
534 fi
535 if test $REPLACE_LSTAT = 1; then
536 func_gl_gnulib_m4code_stat
537 fi
538 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
539 func_gl_gnulib_m4code_stat
540 fi
541 if test $HAVE_READLINKAT = 0; then
542 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
543 fi
544 if test $HAVE_READLINKAT = 0; then
545 func_gl_gnulib_m4code_dosname
546 fi
547 if test $HAVE_READLINKAT = 0; then
548 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
549 fi
550 if { test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; } && test $ac_cv_type_long_long_int = yes; then
551 func_gl_gnulib_m4code_strtoll
552 fi
553 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
554 func_gl_gnulib_m4code_verify
555 fi
556 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
557 func_gl_gnulib_m4code_strtoull
558 fi
559 if test $ac_cv_func_strtoumax = no; then
560 func_gl_gnulib_m4code_verify
561 fi
562 m4_pattern_allow([^gl_GNULIB_ENABLED_])
563 AM_CONDITIONAL([gl_GNULIB_ENABLED_260941c0e5dc67ec9e87d1fb321c300b], [$gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b])
564 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
565 AM_CONDITIONAL([gl_GNULIB_ENABLED_euidaccess], [$gl_gnulib_enabled_euidaccess])
566 AM_CONDITIONAL([gl_GNULIB_ENABLED_getgroups], [$gl_gnulib_enabled_getgroups])
567 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
568 AM_CONDITIONAL([gl_GNULIB_ENABLED_a9786850e999ae65a836a6041e8e5ed1], [$gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1])
569 AM_CONDITIONAL([gl_GNULIB_ENABLED_03e0aaad4cb89ca757653bd367a6ccb7], [$gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7])
570 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
571 AM_CONDITIONAL([gl_GNULIB_ENABLED_6099e9737f757db36c47fa9d9f02e88c], [$gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c])
572 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
573 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
574 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
575 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
576 AM_CONDITIONAL([gl_GNULIB_ENABLED_682e609604ccaac6be382e4ee3a4eaec], [$gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec])
577 # End of code from modules
578 m4_ifval(gl_LIBSOURCES_LIST, [
579 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
580 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
581 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
582 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
583 exit 1
584 fi
585 done])dnl
586 m4_if(m4_sysval, [0], [],
587 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
588 ])
589 m4_popdef([gl_LIBSOURCES_DIR])
590 m4_popdef([gl_LIBSOURCES_LIST])
591 m4_popdef([AC_LIBSOURCES])
592 m4_popdef([AC_REPLACE_FUNCS])
593 m4_popdef([AC_LIBOBJ])
594 AC_CONFIG_COMMANDS_PRE([
595 gl_libobjs=
596 gl_ltlibobjs=
597 if test -n "$gl_LIBOBJS"; then
598 # Remove the extension.
599 sed_drop_objext='s/\.o$//;s/\.obj$//'
600 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
601 gl_libobjs="$gl_libobjs $i.$ac_objext"
602 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
603 done
604 fi
605 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
606 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
607 ])
608 gltests_libdeps=
609 gltests_ltlibdeps=
610 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
611 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
612 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
613 m4_pushdef([gltests_LIBSOURCES_LIST], [])
614 m4_pushdef([gltests_LIBSOURCES_DIR], [])
615 gl_COMMON
616 gl_source_base='tests'
617 changequote(,)dnl
618 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
619 changequote([, ])dnl
620 AC_SUBST([gltests_WITNESS])
621 gl_module_indicator_condition=$gltests_WITNESS
622 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
623 m4_pattern_allow([^gl_GNULIB_ENABLED_])
624 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
625 m4_ifval(gltests_LIBSOURCES_LIST, [
626 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
627 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
628 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
629 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
630 exit 1
631 fi
632 done])dnl
633 m4_if(m4_sysval, [0], [],
634 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
635 ])
636 m4_popdef([gltests_LIBSOURCES_DIR])
637 m4_popdef([gltests_LIBSOURCES_LIST])
638 m4_popdef([AC_LIBSOURCES])
639 m4_popdef([AC_REPLACE_FUNCS])
640 m4_popdef([AC_LIBOBJ])
641 AC_CONFIG_COMMANDS_PRE([
642 gltests_libobjs=
643 gltests_ltlibobjs=
644 if test -n "$gltests_LIBOBJS"; then
645 # Remove the extension.
646 sed_drop_objext='s/\.o$//;s/\.obj$//'
647 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
648 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
649 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
650 done
651 fi
652 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
653 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
654 ])
655 LIBGNU_LIBDEPS="$gl_libdeps"
656 AC_SUBST([LIBGNU_LIBDEPS])
657 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
658 AC_SUBST([LIBGNU_LTLIBDEPS])
659 ])
660
661 # Like AC_LIBOBJ, except that the module name goes
662 # into gl_LIBOBJS instead of into LIBOBJS.
663 AC_DEFUN([gl_LIBOBJ], [
664 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
665 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
666 ])
667
668 # Like AC_REPLACE_FUNCS, except that the module name goes
669 # into gl_LIBOBJS instead of into LIBOBJS.
670 AC_DEFUN([gl_REPLACE_FUNCS], [
671 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
672 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
673 ])
674
675 # Like AC_LIBSOURCES, except the directory where the source file is
676 # expected is derived from the gnulib-tool parameterization,
677 # and alloca is special cased (for the alloca-opt module).
678 # We could also entirely rely on EXTRA_lib..._SOURCES.
679 AC_DEFUN([gl_LIBSOURCES], [
680 m4_foreach([_gl_NAME], [$1], [
681 m4_if(_gl_NAME, [alloca.c], [], [
682 m4_define([gl_LIBSOURCES_DIR], [lib])
683 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
684 ])
685 ])
686 ])
687
688 # Like AC_LIBOBJ, except that the module name goes
689 # into gltests_LIBOBJS instead of into LIBOBJS.
690 AC_DEFUN([gltests_LIBOBJ], [
691 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
692 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
693 ])
694
695 # Like AC_REPLACE_FUNCS, except that the module name goes
696 # into gltests_LIBOBJS instead of into LIBOBJS.
697 AC_DEFUN([gltests_REPLACE_FUNCS], [
698 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
699 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
700 ])
701
702 # Like AC_LIBSOURCES, except the directory where the source file is
703 # expected is derived from the gnulib-tool parameterization,
704 # and alloca is special cased (for the alloca-opt module).
705 # We could also entirely rely on EXTRA_lib..._SOURCES.
706 AC_DEFUN([gltests_LIBSOURCES], [
707 m4_foreach([_gl_NAME], [$1], [
708 m4_if(_gl_NAME, [alloca.c], [], [
709 m4_define([gltests_LIBSOURCES_DIR], [tests])
710 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
711 ])
712 ])
713 ])
714
715 # This macro records the list of files which have been installed by
716 # gnulib-tool and may be removed by future gnulib-tool invocations.
717 AC_DEFUN([gl_FILE_LIST], [
718 build-aux/snippet/_Noreturn.h
719 build-aux/snippet/arg-nonnull.h
720 build-aux/snippet/c++defs.h
721 build-aux/snippet/warn-on-use.h
722 lib/alloca.in.h
723 lib/allocator.c
724 lib/allocator.h
725 lib/at-func.c
726 lib/c-ctype.c
727 lib/c-ctype.h
728 lib/c-strcase.h
729 lib/c-strcasecmp.c
730 lib/c-strncasecmp.c
731 lib/careadlinkat.c
732 lib/careadlinkat.h
733 lib/close-stream.c
734 lib/close-stream.h
735 lib/dirent.in.h
736 lib/dosname.h
737 lib/dtoastr.c
738 lib/dtotimespec.c
739 lib/dup2.c
740 lib/euidaccess.c
741 lib/execinfo.c
742 lib/execinfo.in.h
743 lib/faccessat.c
744 lib/fcntl.in.h
745 lib/fdopendir.c
746 lib/filemode.c
747 lib/filemode.h
748 lib/fpending.c
749 lib/fpending.h
750 lib/fstatat.c
751 lib/ftoastr.c
752 lib/ftoastr.h
753 lib/getgroups.c
754 lib/getloadavg.c
755 lib/getopt.c
756 lib/getopt.in.h
757 lib/getopt1.c
758 lib/getopt_int.h
759 lib/gettext.h
760 lib/gettime.c
761 lib/gettimeofday.c
762 lib/group-member.c
763 lib/ignore-value.h
764 lib/intprops.h
765 lib/inttypes.in.h
766 lib/lstat.c
767 lib/md5.c
768 lib/md5.h
769 lib/memrchr.c
770 lib/mktime-internal.h
771 lib/mktime.c
772 lib/openat-priv.h
773 lib/openat-proc.c
774 lib/openat.h
775 lib/pathmax.h
776 lib/pselect.c
777 lib/pthread_sigmask.c
778 lib/putenv.c
779 lib/readlink.c
780 lib/readlinkat.c
781 lib/root-uid.h
782 lib/sha1.c
783 lib/sha1.h
784 lib/sha256.c
785 lib/sha256.h
786 lib/sha512.c
787 lib/sha512.h
788 lib/sig2str.c
789 lib/sig2str.h
790 lib/signal.in.h
791 lib/stat-time.c
792 lib/stat-time.h
793 lib/stat.c
794 lib/stdalign.in.h
795 lib/stdarg.in.h
796 lib/stdbool.in.h
797 lib/stddef.in.h
798 lib/stdint.in.h
799 lib/stdio.in.h
800 lib/stdlib.in.h
801 lib/strftime.c
802 lib/strftime.h
803 lib/string.in.h
804 lib/strtoimax.c
805 lib/strtol.c
806 lib/strtoll.c
807 lib/strtoul.c
808 lib/strtoull.c
809 lib/strtoumax.c
810 lib/symlink.c
811 lib/sys_select.in.h
812 lib/sys_stat.in.h
813 lib/sys_time.in.h
814 lib/time.in.h
815 lib/time_r.c
816 lib/timespec-add.c
817 lib/timespec-sub.c
818 lib/timespec.c
819 lib/timespec.h
820 lib/u64.c
821 lib/u64.h
822 lib/unistd.c
823 lib/unistd.in.h
824 lib/unsetenv.c
825 lib/utimens.c
826 lib/utimens.h
827 lib/verify.h
828 lib/xalloc-oversized.h
829 m4/00gnulib.m4
830 m4/alloca.m4
831 m4/c-strtod.m4
832 m4/clock_time.m4
833 m4/close-stream.m4
834 m4/dirent_h.m4
835 m4/dup2.m4
836 m4/environ.m4
837 m4/euidaccess.m4
838 m4/execinfo.m4
839 m4/extensions.m4
840 m4/extern-inline.m4
841 m4/faccessat.m4
842 m4/fcntl-o.m4
843 m4/fcntl_h.m4
844 m4/fdopendir.m4
845 m4/filemode.m4
846 m4/fpending.m4
847 m4/fstatat.m4
848 m4/getgroups.m4
849 m4/getloadavg.m4
850 m4/getopt.m4
851 m4/gettime.m4
852 m4/gettimeofday.m4
853 m4/gnulib-common.m4
854 m4/group-member.m4
855 m4/include_next.m4
856 m4/inttypes.m4
857 m4/largefile.m4
858 m4/longlong.m4
859 m4/lstat.m4
860 m4/manywarnings.m4
861 m4/md5.m4
862 m4/memrchr.m4
863 m4/mktime.m4
864 m4/multiarch.m4
865 m4/nocrash.m4
866 m4/off_t.m4
867 m4/pathmax.m4
868 m4/pselect.m4
869 m4/pthread_sigmask.m4
870 m4/putenv.m4
871 m4/readlink.m4
872 m4/readlinkat.m4
873 m4/setenv.m4
874 m4/sha1.m4
875 m4/sha256.m4
876 m4/sha512.m4
877 m4/sig2str.m4
878 m4/signal_h.m4
879 m4/socklen.m4
880 m4/ssize_t.m4
881 m4/st_dm_mode.m4
882 m4/stat-time.m4
883 m4/stat.m4
884 m4/stdalign.m4
885 m4/stdarg.m4
886 m4/stdbool.m4
887 m4/stddef_h.m4
888 m4/stdint.m4
889 m4/stdio_h.m4
890 m4/stdlib_h.m4
891 m4/strftime.m4
892 m4/string_h.m4
893 m4/strtoimax.m4
894 m4/strtoll.m4
895 m4/strtoull.m4
896 m4/strtoumax.m4
897 m4/symlink.m4
898 m4/sys_select_h.m4
899 m4/sys_socket_h.m4
900 m4/sys_stat_h.m4
901 m4/sys_time_h.m4
902 m4/time_h.m4
903 m4/time_r.m4
904 m4/timer_time.m4
905 m4/timespec.m4
906 m4/tm_gmtoff.m4
907 m4/unistd_h.m4
908 m4/utimbuf.m4
909 m4/utimens.m4
910 m4/utimes.m4
911 m4/warn-on-use.m4
912 m4/warnings.m4
913 m4/wchar_t.m4
914 ])